%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/numerical-complexity/b-splines.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{B-Splines}

B-splines share the same weakness as \beziercurves in terms of numerical complexity when it comes to evaluating higher order polynomials.
However, much to the disadvantage of \beziercurves, to approximate a complex shape, the number of control points and thus the number of bases functions does not have to increase.
Due to the locality of the B-splines, we may subdivide the B-spline curve into more segments providing better control and approximation while keeping the numerical complexity of a single B-spline.
The locality property of B-splines is advantageous for two reasons: \begin{inparaenum}[1)]
\item the recursion depth of the curve evaluation algorithm is very low thus evaluation is much quicker, and
\item numerical issues of too high polynomial degree causing double floating point precision issues are less likely to evolve.
\end{inparaenum}
Further, when observing the full equations of motion of the spatial cable, B-spline ultimately require less \glspl{DOF} than \beziercurves resulting in lower dimensional mass matrices that need to be evaluated or inverted, depending on whether explicit or implicit numerical integration schemes are used.
